Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 193060 - crash utility on x86_64: "vm -p" fails with a "pml page" read error
Summary: crash utility on x86_64: "vm -p" fails with a "pml page" read error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: crash
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Anderson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix 193061
TreeView+ depends on / blocked
 
Reported: 2006-05-24 20:26 UTC by Dave Anderson
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2006-0457
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 14:54:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0457 normal SHIPPED_LIVE crash bug fix update 2006-07-19 19:05:00 UTC

Description Dave Anderson 2006-05-24 20:26:47 UTC
Description of problem:
crash utility: vm -p command fails with "pml page" read error

Version-Release number of selected component (if applicable): 
crash 4.0-2.24


How reproducible:
On a x86_64 machine, run the "vm -p" command on any user process.

Steps to Reproduce:


1. On an x86_64 machine, run the crash utility on a vmcore or live system.
2. Enter "vm -p 1", which should dump all pages mapped into PID 1's address space.
3. 
  
Actual results:



crash> vm -p 1
PID: 1      TASK: 10016394000       CPU: 1   COMMAND: "init"
       MM               PGD          RSS    TOTAL_VM
  10016785b00       10016719000      528k    3632k
      VMA           START       END     FLAGS FILE
  10016783d80        400000     408000   1875 /sbin/init
VIRTUAL     PHYSICAL
vm: read error: physical address: 16719000  type: "pml page"
crash>

Expected results:

A complete dump of all pages mapped into the process address space.

Additional info:

Comment 1 Dave Anderson 2006-05-24 20:34:56 UTC
Linda, 

This is the late-breaking bug that needs to be added to the
RHEL3-U8 errata.  Can you set the appropriate fields in motion?

Comment 2 Linda Wang 2006-05-24 21:03:58 UTC
Request exception, this is a bug was found by developer during unit testing. 
crash utility on x86_64 using arugument "vm -p" fails with a read error.

Comment 3 Linda Wang 2006-05-24 21:28:34 UTC
Also to clarify, this is not a beta blocker. Would be nice if the package
gets pick up by GA.

Comment 5 Dave Anderson 2006-05-25 20:32:06 UTC
Fix checked into RHEL-3 CVS, crash version 4.0-2.29.

Comment 10 Red Hat Bugzilla 2006-07-20 14:54:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0457.html



Note You need to log in before you can comment on or make changes to this bug.